# Uses of Record Class
com.usatiuk.dhfs.remoteobj.RemoteObjectMeta

Packages that use RemoteObjectMeta
Package
Description
com.usatiuk.dhfs.invalidation
com.usatiuk.dhfs.remoteobj

## Uses of RemoteObjectMeta in com.usatiuk.dhfs.invalidation

Methods in com.usatiuk.dhfs.invalidation with parameters of type RemoteObjectMeta
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
RemoteObjectMetaOpExtractor.`extractOps(RemoteObjectMeta data, PeerId peerId)`

## Uses of RemoteObjectMeta in com.usatiuk.dhfs.remoteobj

Methods in com.usatiuk.dhfs.remoteobj that return RemoteObjectMeta
Modifier and Type
Method
Description
`RemoteObjectMeta`
RemoteObjectMeta.`withChangelog(org.pcollections.PMap<PeerId,Long> changelog)`
`RemoteObjectMeta`
RemoteObjectMeta.`withConfirmedDeletes(org.pcollections.PSet<PeerId> confirmedDeletes)`
`RemoteObjectMeta`
RemoteObjectMeta.`withFrozen(boolean frozen)`
`RemoteObjectMeta`
RemoteObjectMeta.`withHaveLocal(boolean haveLocal)`
`RemoteObjectMeta`
RemoteObjectMeta.`withKnownRemoteVersions(org.pcollections.PMap<PeerId,Long> knownRemoteVersions)`
`RemoteObjectMeta`
RemoteObjectMeta.`withKnownType(Class<? extends JDataRemote> knownType)`
`RemoteObjectMeta`
RemoteObjectMeta.`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`
`RemoteObjectMeta`
RemoteObjectMeta.`withSeen(boolean seen)`
Methods in com.usatiuk.dhfs.remoteobj that return types with arguments of type RemoteObjectMeta
Modifier and Type
Method
Description
`Optional<RemoteObjectMeta>`
RemoteTransaction.`getMeta(JObjectKey key)`
Methods in com.usatiuk.dhfs.remoteobj with parameters of type RemoteObjectMeta
Modifier and Type
Method
Description
`void`
RemoteObjectDeleter.`putDeletionCandidate(RemoteObjectMeta obj)`
`void`
ConflictResolver.`resolve(PeerId fromPeer, RemoteObjectMeta ours, RemoteObjectMeta theirs)`